function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = _object_without_properties_loose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceSymbolKeys.length; i++){
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}
import { createPathComponent } from '@react-leaflet/core';
import { Polyline as LeafletPolyline } from 'leaflet';
import 'leaflet-textpath-2';
var createLeafletElement = function(_param, ctx) {
    var // Required TextPath attributes.
    text = _param.text, positions = _param.positions, // TextPath options.
    repeat = _param.repeat, center = _param.center, below = _param.below, offset = _param.offset, orientation = _param.orientation, attributes = _param.attributes, options = _object_without_properties(_param, [
        "text",
        "positions",
        "repeat",
        "center",
        "below",
        "offset",
        "orientation",
        "attributes"
    ]);
    var instance = new LeafletPolyline(positions, options);
    instance.setText(text, {
        repeat: repeat,
        center: center,
        below: below,
        offset: offset,
        orientation: orientation,
        attributes: attributes
    });
    return {
        instance: instance,
        context: _object_spread_props(_object_spread({}, ctx), {
            overlayContainer: instance
        })
    };
};
var updateLeafletElement = function(layer, _param, prevProps) {
    var // Required TextPath attributes.
    text = _param.text, positions = _param.positions, // TextPath options.
    repeat = _param.repeat, center = _param.center, below = _param.below, offset = _param.offset, orientation = _param.orientation, attributes = _param.attributes, options = _object_without_properties(_param, [
        "text",
        "positions",
        "repeat",
        "center",
        "below",
        "offset",
        "orientation",
        "attributes"
    ]);
    // Set null first, to reset the text displayed.
    layer.setText(null);
    if (positions !== prevProps.positions) layer.setLatLngs(positions);
    layer.setStyle(options);
    layer.setText(text, {
        repeat: repeat,
        center: center,
        below: below,
        offset: offset,
        orientation: orientation,
        attributes: attributes
    });
};
var ReactLeafletTextPath = createPathComponent(createLeafletElement, updateLeafletElement);
export default ReactLeafletTextPath;


//# sourceMappingURL=index-cjs.js.map