declare module "index" {
    import { type LatLngExpression, Polyline as LeafletPolyline, type PathOptions, type TextPathOptions } from 'leaflet';
    import 'leaflet-textpath-2';
    import type { PropsWithChildren } from 'react';
    interface ReactLeafletTextPathBaseProps {
        /**
         * The text to display over the polyline.
         */
        text: string;
        /**
         * The positions to use for the polyline.
         */
        positions: LatLngExpression[];
    }
    export type ReactLeafletTextPathProps = TextPathOptions & PathOptions & PropsWithChildren<ReactLeafletTextPathBaseProps>;
    const ReactLeafletTextPath: import("react").ForwardRefExoticComponent<TextPathOptions & PathOptions & ReactLeafletTextPathBaseProps & {
        children?: import("react").ReactNode | undefined;
    } & import("react").RefAttributes<LeafletPolyline<import("geojson").LineString | import("geojson").MultiLineString, any>>>;
    export default ReactLeafletTextPath;
}
